Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent
Class RepoFolder

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoFolder

All Implemented Interfaces:
  IdedObject

    public class RepoFolder

extends RepoResourceBase

Version:
  $Id: RepoFolder.java 8430 2007-05-30 13:18:32Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`creationDate, description, id, label, name, parent, version`

Constructor Summary
`RepoFolder()`

Method Summary
`void` | `addChild(RepoResource resource)`
`protected void` | `copyFrom(Resource clientRes, ReferenceResolver referenceResolver)`
`protected void` | `copyTo(Resource clientRes, ResourceFactory resourceFactory)`
`boolean` | `equals(java.lang.Object obj)`
`protected void` | `filterChildren(java.util.Set newChildren)`
`java.util.Set` | `getChildren()`
`protected java.lang.Class` | `getClientItf()`
`java.lang.String` | `getResourceURI()`
`java.util.Set` | `getSubFolders()`
`java.lang.String` | `getURI()`
`int` | `hashCode()`
`boolean` | `isHidden()`
`boolean` | `isRoot()`
`boolean` | `removeChild(RepoResource resource)`
`void` | `set(Folder folder, RepoFolder parent)`
`void` | `setChildren(java.util.Set children)`
`void` | `setHidden(boolean hidden)`
`void` | `setSubFolders(java.util.Set subFolders)`
`void` | `setURI()`
`void` | `setURI(java.lang.String newURIString)`
`Folder` | `toClient()`
`java.lang.String` | `toString()`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`copyFrom, copyFromClient, copyTo, getCreationDate, getDescription, getId, getLabel, getName, getParent, getVersion, isNew, setCreationDate, setDescription, setId, setLabel, setName, setParent, setVersion, toClient`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoFolder

    public RepoFolder()

Method Detail

### getURI

    public java.lang.String getURI()

### setURI

    public void setURI(java.lang.String newURIString)

### set

    public void set(Folder folder,
                    RepoFolder parent)

### setURI

    public void setURI()

### getResourceURI

    public java.lang.String getResourceURI()

  Overrides:
    `getResourceURI` in class `RepoResourceBase`

### getClientItf

    protected java.lang.Class getClientItf()

  Specified by:
    `getClientItf` in class `RepoResourceBase`

### getChildren

    public java.util.Set getChildren()

### setChildren

    public void setChildren(java.util.Set children)

### addChild

    public void addChild(RepoResource resource)

### removeChild

    public boolean removeChild(RepoResource resource)

### getSubFolders

    public java.util.Set getSubFolders()

### setSubFolders

    public void setSubFolders(java.util.Set subFolders)

### filterChildren

    protected void filterChildren(java.util.Set newChildren)

### isHidden

    public boolean isHidden()

### setHidden

    public void setHidden(boolean hidden)

### isRoot

    public boolean isRoot()

### toClient

    public Folder toClient()

### copyTo

    protected void copyTo(Resource clientRes,
                          ResourceFactory resourceFactory)

### copyFrom

    protected void copyFrom(Resource clientRes,
                            ReferenceResolver referenceResolver)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.